Apache Status & Info

Описание

When you want to use server-info and/or server-status with Apache server, you must modify (right in your .htaccess file) the rewrite rules generated by WordPress. And you must do it each time WordPress modify and regenerates the rules.
Apache Status & Info do it for you, without you having to intervene. Just activate it and that’s it!

Support

This plugin is free and provided without warranty of any kind. Use it at your own risk, I’m not responsible for any improper use of this plugin, nor for any damage it might cause to your site. Always backup all your data before installing a new plugin.

Anyway, I’ll be glad to help you if you encounter issues when using this plugin. Just use the support section of this plugin page.

Privacy

This plugin, as any piece of software, is neither compliant nor non-compliant with privacy laws and regulations. It is your responsibility to use it with respect for the personal data of your users and applicable laws.

This plugin doesn’t set any cookie in the user’s browser.

This plugin doesn’t handle personally identifiable information (PII).

Donation

If you like this plugin or find it useful and want to thank me for the work done, please consider making a donation to La Quadrature Du Net or the Electronic Frontier Foundation which are advocacy groups defending the rights and freedoms of citizens on the Internet. By supporting them, you help the daily actions they perform to defend our fundamental freedoms!

Установка

From your WordPress dashboard

  1. Visit ‘Plugins > Add New’.
  2. Search for ‘Apache Status & Info’.
  3. Click on the ‘Install Now’ button.
  4. Activate Apache Status & Info.

From WordPress.org

  1. Download Apache Status & Info.
  2. Upload the htaccess-server-info-server-status directory to your /wp-content/plugins/ directory, using your favorite method (ftp, sftp, scp, etc…).
  3. Activate Apache Status & Info from your Plugins page.

Once Activated

  1. You have nothing to do. All is automatic!

Часто задаваемые вопросы

What are the requirements for this plugin to work?

You need WordPress 5.2 and at least PHP 7.2.

Can this plugin work on multisite?

No. Rewrite rules are not fully supported by WordPress multisite.

Where can I get support?

Support is provided via the official support page.

Where can I report a bug?

You can report bugs and suggest ideas via the GitHub issue tracker of the plugin.

Отзывы

12.03.2019
Very efficient extension! Rewrite rules are neats. But if he were to miss something, that would be the possibility to select the origin of the clients for the both URLs. I made it with Require option in Apache but I'm sure a rewrite rule exists. <Location /server-status> Require local </Location> Thanks for the great job so far!
Посмотреть 1 отзыв

Участники и разработчики

«Apache Status & Info» — проект с открытым исходным кодом. В развитие плагина внесли свой вклад следующие участники:

Участники

«Apache Status & Info» переведён на 2 языка. Благодарим переводчиков за их работу.

Перевести «Apache Status & Info» на ваш язык.

Заинтересованы в разработке?

Посмотрите код, проверьте SVN репозиторий, или подпишитесь на журнал разработки по RSS.

Журнал изменений

Please, see full changelog on GitHub.